.connect {
    padding: rem(20);
    overflow: hidden;
    position: relative;
    background: #EDF1F5;
    border-radius: 20px;

    &__title {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(23);
        margin-bottom: rem(25);

        &--sm {
            display: block;
            text-align: center;
        }

        &--md {
            display: none;
        }
    }

    &__media {
        overflow: hidden;
        position: relative;
        margin-bottom: rem(10);

        &:before {
            left: 0;
            right: 0;
            z-index: 20;
            bottom: -170px;
            content: '';
            height: 230px;
            position: absolute;
            background: linear-gradient(180deg, rgba(237, 241, 245, 0) 0%, #EDF1F5 26.84%);
        }
    }

    &__image {
        width: 268px;
        margin: 0 auto;
        position: relative;
        left: -30px;
    }

    &__text {
        font-size: rem(16);
        line-height: rem(20);
        text-align: center;
        margin-bottom: rem(16);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__content {
        z-index: 20;
        position: relative;
    }

    @include media-breakpoint-up(md) {

        &__content {
            width: rem(380);
        }

        &__title {

            &--sm {
                display: none;
            }

            &--md {
                display: block;
            }
        }

        &__text {
            text-align: left;
        }

        &__button {

            .btn {
                width: auto;
            }
        }

        &__media {
            margin: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            position: absolute;

            &:before {
                display: none;
            }
        }

        &__image {
            left: auto;
            margin: 0;
            width: 420px;
        }
    }

    @include media-breakpoint-up(lg) {
        padding: rem(30) rem(50);

        &__image {
            width: 500px;
        }

        &__content {
            width: rem(500);
        }

        &__title {
            font-size: rem(34);
            line-height: rem(45);
        }

        &__text {
            font-size: rem(18);
            line-height: rem(26);
        }
    }

    @include media-breakpoint-up(xl) {

        &__text {
            font-size: rem(24);
            line-height: rem(35);
        }

        &__image {
            width: 672px;
        }

        &__content {
            width: rem(700);
        }
    }

    @include media-breakpoint-up(xxl) {
    }
}
